# Developer APIs

### WordPress Filters

{% code overflow="wrap" %}

```php
apply_filters( 'elementor_pay_addons/forms/record/actions_before', $record, $this )

apply_filters('elementor_pay_addons/api/checkout_session_args', $session);

apply_filters( 'elementor_pay_addons/webhook/event', $event);

apply_filters( 'elementor_pay_addons/form/create_customer', $customer_params );

apply_filters( 'elementor_pay_addons/form/create_payment_intent', $payment_intent );

apply_filters('elementor_pay_addons/form/create_subscription', $subscription_params);

apply_filters( 'elementor_pay_addons/form/create_checkout_session', $checkout_session );

apply_filters('elementor_pay_addons/email/format_string', str_replace($find, $replace, $string), $this);

apply_filters('elementor_pay_addons/email/headers', $header, $this->id, $this->object, $this);

apply_filters('elementor_pay_addons/email/from_name', get_option('epa_email_sender_from_name'), $this, $from_name);
```

{% endcode %}

### Access Stripe Instance in front-end JS

{% hint style="danger" %}
Make sure to fetch the form handlers after DOM is ready.
{% endhint %}

Let's say you want to get Stripe [payment element](https://docs.stripe.com/js/element/payment_element) in [Checkout Element Form](/elements/checkout-element-form-pro.md):&#x20;

{% code overflow="wrap" %}

```javascript
jQuery('.elementor-widget-form')[0].epaFormHandler.stripeElement.getElement('payment')
```

{% endcode %}

Let's say you want to get Stripe [card element](https://docs.stripe.com/js/elements_object/create_element?type=card) in [Checkout Credit Card Form](/elements/checkout-credit-card-form-pro.md):&#x20;

{% code overflow="wrap" %}

```javascript
jQuery('.elementor-widget-form')[0].epaFormHandler.stripeElement.getElement('card')
```

{% endcode %}

Then we can execute the Stripe native method such as update in the front end.

{% code overflow="wrap" %}

```javascript
jQuery('.elementor-widget-form')[0].epaFormHandler.stripeElement.update({ amount: total });
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payaddons.com/developer-apis.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
